Package org.eclipse.lemminx.commons

## Class MultiCancelChecker

- java.lang.Object
- - org.eclipse.lemminx.commons.MultiCancelChecker

All Implemented Interfaces:
  `org.eclipse.lsp4j.jsonrpc.CancelChecker`

    public class MultiCancelChecker
    extends Object
    implements org.eclipse.lsp4j.jsonrpc.CancelChecker

Multiple cancel checker.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`MultiCancelChecker​(org.eclipse.lsp4j.jsonrpc.CancelChecker... checkers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkCanceled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lsp4j.jsonrpc.CancelChecker

`isCanceled`

### Constructor Detail

#### MultiCancelChecker

    public MultiCancelChecker​(org.eclipse.lsp4j.jsonrpc.CancelChecker... checkers)

### Method Detail

#### checkCanceled

    public void checkCanceled()

Specified by:
  `checkCanceled` in interface `org.eclipse.lsp4j.jsonrpc.CancelChecker`